import React, { Component } from 'react';
import style from './index.less';
import {Button, ItemBox, ConfirmModal, Loading, Message,Add} from '@commonComp';
import DiagnosticList from '@containers/DiagnosticList.js';
// import TreatDrug from '@containers/TreatDrug.js'
import DiagResultSearch from '@containers/DiagResultSearch'
import $ from 'jquery';

class Diagnosis extends Component {
    constructor(props) {
        super(props);

        this.state = {
            diagType: 0,
            showSearch: props.show,
        }
        this.showSearch = this.showSearch.bind(this);
        this.hideSearch = this.hideSearch.bind(this);
        this.handleshowSearch = this.handleshowSearch.bind(this);
        
    }
    componentWillReceiveProps() {
        this.setState({
            showSearch: this.props.show
        })
    }


    showSearch() {
        const { showSearch } = this.props
        showSearch && showSearch()
    }
    hideSearch() {
        const { hideSearch } = this.props
        hideSearch && hideSearch()
    }
    handleshowSearch() {
        this.props.show ? this.hideSearch() : this.showSearch()
    }

    render() {
        
        
        return (<div id="diagnosisResult">
            <ItemBox  id="diagnosis" title='诊断'  boxHeight='auto' titleTop='22px' marginTop='9px' backgroundColor='#EAF7FD'>
                <DiagnosticList></DiagnosticList>
                <div style={{marginLeft:'10px', position:'relative'}}>
                    <Add showText="添加诊断结果" handleClick={this.handleshowSearch} id="addDiag" height="50px"/>
                    <DiagResultSearch></DiagResultSearch>
                </div>
               
                
            </ItemBox>
            {/* <TreatDrug></TreatDrug> */}
            <Message></Message>
        </div>)
    }
}

export default Diagnosis;